Package org.codehaus.groovy.ast.tools

## Class ClassNodeUtils

- java.lang.Object
- - org.codehaus.groovy.ast.tools.ClassNodeUtils

-     @Deprecated
      public class ClassNodeUtils
      extends java.lang.Object

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassNodeUtils()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addDeclaredMethodMapsFromSuperInterfaces​(ClassNode cNode, java.util.Map<java.lang.String,​MethodNode> methodsMap)` | Deprecated.
    `static void` | `addInterfaceMethods​(ClassNode cNode, java.util.Map<java.lang.String,​MethodNode> methodsMap)` | Deprecated.
    `static java.util.Map<java.lang.String,​MethodNode>` | `getDeclaredMethodMapsFromInterfaces​(ClassNode cNode)` | Deprecated.
    `static java.lang.String` | `getPropNameForAccessor​(java.lang.String accessorName)` | Deprecated.
    `static PropertyNode` | `getStaticProperty​(ClassNode cNode, java.lang.String propName)` | Deprecated.
    `static boolean` | `hasPossibleStaticMethod​(ClassNode cNode, java.lang.String name, Expression arguments, boolean trySpread)` | Deprecated.
    `static boolean` | `hasPossibleStaticProperty​(ClassNode cNode, java.lang.String methodName)` | Deprecated.
    `static boolean` | `hasStaticProperty​(ClassNode cNode, java.lang.String propName)` | Deprecated.
    `static boolean` | `isInnerClass​(ClassNode cNode)` | Deprecated.
    `static boolean` | `isValidAccessorName​(java.lang.String accessorName)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassNodeUtils

          public ClassNodeUtils()

      Deprecated.

  - ### Method Detail

    - #### addInterfaceMethods

          @Deprecated
          public static void addInterfaceMethods​(ClassNode cNode,
                                                 java.util.Map<java.lang.String,​MethodNode> methodsMap)

      Deprecated.

    - #### getDeclaredMethodMapsFromInterfaces

          @Deprecated
          public static java.util.Map<java.lang.String,​MethodNode> getDeclaredMethodMapsFromInterfaces​(ClassNode cNode)

      Deprecated.

    - #### addDeclaredMethodMapsFromSuperInterfaces

          @Deprecated
          public static void addDeclaredMethodMapsFromSuperInterfaces​(ClassNode cNode,
                                                                      java.util.Map<java.lang.String,​MethodNode> methodsMap)

      Deprecated.

    - #### hasPossibleStaticMethod

          @Deprecated
          public static boolean hasPossibleStaticMethod​(ClassNode cNode,
                                                        java.lang.String name,
                                                        Expression arguments,
                                                        boolean trySpread)

      Deprecated.

    - #### hasPossibleStaticProperty

          @Deprecated
          public static boolean hasPossibleStaticProperty​(ClassNode cNode,
                                                          java.lang.String methodName)

      Deprecated.

    - #### getPropNameForAccessor

          @Deprecated
          public static java.lang.String getPropNameForAccessor​(java.lang.String accessorName)

      Deprecated.

    - #### isValidAccessorName

          @Deprecated
          public static boolean isValidAccessorName​(java.lang.String accessorName)

      Deprecated.

    - #### hasStaticProperty

          @Deprecated
          public static boolean hasStaticProperty​(ClassNode cNode,
                                                  java.lang.String propName)

      Deprecated.

    - #### getStaticProperty

          @Deprecated
          public static PropertyNode getStaticProperty​(ClassNode cNode,
                                                       java.lang.String propName)

      Deprecated.

    - #### isInnerClass

          @Deprecated
          public static boolean isInnerClass​(ClassNode cNode)

      Deprecated.